Bug 123178 - WEB-INF Directory Continually Scanned
WEB-INF Directory Continually Scanned
Status: VERIFIED FIXED
Product: ruby
Classification: Unclassified
Component: Rails
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Torbjorn Norbye
issues@ruby
http://www.nabble.com/Indexing-Rails-...
release601_fixes_candidate1, release6...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 18:15 UTC by William Leonard
Modified: 2008-02-20 17:57 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Patch which merges the fix to the 6.0 branch (1.17 KB, patch)
2007-12-03 17:15 UTC, Torbjorn Norbye
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Leonard 2007-11-30 18:15:45 UTC
When the Goldspike plugin is used to create a war file, NetBeans indexes the WEB-INF directory every time the IDE is
started. The indexing is also vary time consuming, taking upwards of 10-20 minutes. Also, NetBeans will not shut down
until the index is complete (and the IDE unresponsive after the shutdown is requested). Steps to reproduce:

1) Create a new Ruby on Rails Application, including the Rake Targets to Support App Server Deployment (.war)
2) Run the Rake Task war:standalone:create
3) Restart NetBeans. On restart the indexing will begin. The IDE is still responsive until you try to Quit NetBeans.

See the URL for community feedback on this issue.
Comment 1 Torbjorn Norbye 2007-12-03 04:28:58 UTC
Fixed in 6.1:

IDE:-------------------------------------------------
IDE: [12/2/07 8:28 PM] Committing started
Checking in SourcePathImplementation.java;
/cvs/ruby/railsprojects/src/org/netbeans/modules/ruby/railsprojects/classpath/SourcePathImplementation.java,v  <-- 
SourcePathImplementation.java
new revision: 1.3; previous revision: 1.2
done
IDE: [12/2/07 8:28 PM] Committing finished
Comment 2 Torbjorn Norbye 2007-12-03 17:15:17 UTC
Created attachment 53790 [details]
Patch which merges the fix to the 6.0 branch
Comment 3 Torbjorn Norbye 2007-12-03 17:20:36 UTC
On the alias, Rich confirmed that the fix works in the trunk. I've attached a patch against 6.0 so this can be
considered for a patch update.
Comment 4 Petr Blaha 2008-01-31 15:47:00 UTC
Verified, based on previous comment.
Comment 5 pgebauer 2008-02-04 14:36:02 UTC
The fix has been ported into the release601_fixes branch.

Checking in SourcePathImplementation.java;
/cvs/ruby/railsprojects/src/org/netbeans/modules/ruby/railsprojects/classpath/Attic/SourcePathImplementation.java,v  <--
 SourcePathImplementation.java
new revision: 1.2.8.1; previous revision: 1.2
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo